<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_error_export".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanErrorExport".
 *
 * Columns in table "scan_error_export" available as properties of the model,
 * followed by relations of table "scan_error_export" available as properties of the model.
 *
 * @property integer $id
 * @property integer $organization_id
 * @property integer $scan_error_id
 * @property integer $scan_result_provider_id
 * @property integer $scan_result_practice_id
 * @property string $remarks
 * @property integer $issue_name
 * @property integer $issue_address
 * @property integer $issue_phone
 * @property integer $issue_specialty
 * @property integer $issue_photo
 * @property integer $issue_credentials
 * @property integer $issue_office_hours
 * @property integer $provider_id
 * @property integer $practice_id
 * @property string $provider_status
 * @property string $listing_site
 * @property string $url_on_listing
 * @property string $name_on_listing
 * @property string $address_on_listing
 * @property string $phone_on_listing
 * @property string $date_added
 * @property integer $added_by_account_id

 */
abstract class BaseScanErrorExport extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_error_export';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanErrorExport|ScanErrorExport', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array(
                'id, organization_id, scan_error_id, scan_result_provider_id, scan_result_practice_id,
                issue_name, issue_address, issue_phone, issue_specialty, issue_photo,
                issue_credentials, issue_office_hours, provider_id, practice_id, added_by_account_id',
                'numerical',
                'integerOnly' => true
            ),
            array('date_added', 'safe'),
            array(
                'id, organization_id, scan_result_provider_id, scan_result_practice_id,
                issue_name, issue_address, issue_phone, issue_specialty, issue_photo,
                issue_credentials, issue_office_hours, provider_id, practice_id, provider_status,
                listing_site, url_on_listing, name_on_listing, address_on_listing, phone_on_listing, practice_id',
                'safe',
                'on' => 'search'
            ),
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'organization_id' => null,
            'scan_error_id' => null,
            'scan_result_provider_id' => null,
            'scan_result_practice_id' => null,
            'remarks' => null,
            'issue_name' => null,
            'issue_address' => null,
            'issue_phone' => null,
            'issue_specialty' => null,
            'issue_photo' => null,
            'issue_credentials' => null,
            'issue_office_hours' => null,
            'practice_id' => null,
            'provider_id' => null,
            'provider_status' => null,
            'listing_site' => null,
            'url_on_listing' => null,
            'name_on_listing' => null,
            'address_on_listing' => null,
            'phone_on_listing' => null,
            'date_added' => null,
            'added_by_account_id' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('organization_id', $this->organization_id);
        $criteria->compare('scan_error_id', $this->scan_error_id);
        $criteria->compare('scan_result_provider_id', $this->scan_result_provider_id);
        $criteria->compare('scan_result_practice_id', $this->scan_result_practice_id);
        $criteria->compare('remarks', $this->remarks);
        $criteria->compare('issue_name', $this->issue_name);
        $criteria->compare('issue_address', $this->issue_address);
        $criteria->compare('issue_phone', $this->issue_phone);
        $criteria->compare('issue_specialty', $this->issue_specialty);
        $criteria->compare('issue_photo', $this->issue_photo);
        $criteria->compare('issue_credentials', $this->issue_credentials);
        $criteria->compare('issue_office_hours', $this->issue_office_hours);
        $criteria->compare('practice_id', $this->practice_id, true);
        $criteria->compare('provider_id', $this->provider_id, true);
        $criteria->compare('provider_status', $this->provider_status, true);
        $criteria->compare('listing_site', $this->listing_site, true);
        $criteria->compare('url_on_listing', $this->url_on_listing, true);
        $criteria->compare('name_on_listing', $this->name_on_listing, true);
        $criteria->compare('address_on_listing', $this->address_on_listing, true);
        $criteria->compare('phone_on_listing', $this->phone_on_listing, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('added_by_account_id', $this->added_by_account_id, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
